# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/arm,versatile-sysreg.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Arm Versatile system registers

maintainers:
  - Linus Walleij <linusw@kernel.org>

description:
  This is a system control registers block, providing multiple low level
  platform functions like board detection and identification, software
  interrupt generation, MMC and NOR Flash control, etc.

properties:
  compatible:
    items:
      - const: arm,versatile-sysreg
      - const: syscon
      - const: simple-mfd

  reg:
    maxItems: 1

  panel:
    type: object

required:
  - compatible
  - reg

additionalProperties: false
...
